require 'spec_helper'

if ENV['AUTOPKGTEST_TEST_ARCH'] == 'riscv64'
  puts "Skipping this test because it is unreliable on riscv64."
  exit 77
end

describe service('vinyl-cache') do
# Disable this check because ruby-specinfra is broken and only checks for
# the init script or the Upstart service.
#  it { should be_enabled }
  it { should be_running }
end

describe command('service vinyl-cache reload') do
  its(:exit_status) { should eq 0 }
  its(:stderr) { should eq('') }
end
